Lists custom fields
Returns a paginated list of custom fields for the organization.
For each custom field only a truncated set of options is returned (options.truncatedOptions, at most 5 items, with options.remainingCount indicating how many further options exist). To retrieve all options of a field, use the dedicated GET /api2/v1/customFields/{fieldUid}/options endpoint.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
x >= 0Page size, accepts values between 1 and 50, default 50
1 <= x <= 50Filter by custom field name
Filter by custom field allowed entities
PROJECT, JOB Filter by custom field types
MULTI_SELECT, SINGLE_SELECT, STRING, NUMBER, URL, DATE Filter by custom field creators UIDs
Filter by custom field updaters UIDs
Filter by custom field UIDs
Filter by custom field required parameter
Sort by this field
NAME, CREATED, LAST_MODIFIED Sort direction
ASC, DESC